unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  UnitProcessor, StdCtrls, Grids, DBGrids, ExtCtrls, TechDatProcessor,
  StrBuildProcessor;

type
  TTestMain = class(TForm)
    OpenUnitDATFileDialog: TOpenDialog;
    bOpenUNITDAT: TButton;
    Panel1: TPanel;
    DBGrid1: TDBGrid;
    bOpenSTRBUILDDAT: TButton;
    bOpenTECHDAT: TButton;
    OpenStrBuildDATFileDialog: TOpenDialog;
    OpenTechDATFileDialog: TOpenDialog;
    UnitProcessor: TUnitProcessor;
    StrBuildProcessor: TStrBuildProcessor;
    TechDatProcessor: TTechDatProcessor;
    procedure bOpenUNITDATClick(Sender: TObject);
    procedure bOpenSTRBUILDDATClick(Sender: TObject);
    procedure bOpenTECHDATClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TestMain: TTestMain;

implementation

uses DATMod;

{$R *.DFM}

procedure TTestMain.bOpenUNITDATClick(Sender: TObject);
begin
  if OpenUnitDATFileDialog.Execute then
  begin
    UnitProcessor.DataTableName := DATModule.UnitInfo;
    UnitProcessor.UnitDatFileName := OpenUnitDATFileDialog.FileName;
    UnitProcessor.ProcessTextFile;
    DBGrid1.DataSource := DATModule.dsUnitInfo;
    DATModule.UnitInfo.Active := True;
  end;
end;

procedure TTestMain.bOpenSTRBUILDDATClick(Sender: TObject);
begin
  if OpenStrBuildDATFileDialog.Execute then
  begin
    StrBuildProcessor.DataTableName := DATModule.StrBuildInfo;
    StrBuildProcessor.StrBuildFileName := OpenStrBuildDATFileDialog.FileName;
    StrBuildProcessor.ProcessTextFile;
    DBGrid1.DataSource := DATModule.dsStrBuildInfo;
    DATModule.StrBuildInfo.Active := True;
  end;
end;

procedure TTestMain.bOpenTECHDATClick(Sender: TObject);
begin
  if OpenTechDATFileDialog.Execute then
  begin
    TechDatProcessor.DataTableName := DATModule.TechInfo;
    TechDatProcessor.TechDatFileName := OpenTechDATFileDialog.FileName;
    TechDatProcessor.ProcessTextFile;
    DBGrid1.DataSource := DATModule.dsTechInfo;
    DATModule.TechInfo.Active := True;
  end;
end;

end.
